Maintenance May 12, 8–9 PM PDT (May 13, 03:00–04:00 UTC). ~1 min disruption to sandbox management may occur. Already running sandboxes will not be affected. Questions? Contact us
Maintenance May 12, 8–9 PM PDT (May 13, 03:00–04:00 UTC). ~1 min disruption to sandbox management may occur. Already running sandboxes will not be affected. Questions? Contact us
curl --request POST \
--url https://{port}-{sandboxID}.e2b.app/process.Process/List \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--header 'X-Access-Token: <api-key>' \
--data '{}'{
"processes": [
{
"config": {
"cmd": "<string>",
"args": [
"<string>"
],
"envs": {},
"cwd": "<string>"
},
"pid": 123,
"tag": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://e2b-banner-hover-tooltip.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Define the version of the Connect protocol
Define the timeout, in ms
The body is of type ListRequest · object.
Success
Show child attributes
Was this page helpful?
curl --request POST \
--url https://{port}-{sandboxID}.e2b.app/process.Process/List \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--header 'X-Access-Token: <api-key>' \
--data '{}'{
"processes": [
{
"config": {
"cmd": "<string>",
"args": [
"<string>"
],
"envs": {},
"cwd": "<string>"
},
"pid": 123,
"tag": "<string>"
}
]
}